# basic_string.tcc File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file basic_string.tcc.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _BASIC_STRING_TCC

## Functions

- template<typename _Type> bool std::__is_null_pointer (_Type)
- template<typename _Type> bool std::__is_null_pointer (_Type *__ptr)
- template<typename _CharT, typename _Traits, typename _Alloc> basic_string< _CharT, _Traits,
  _Alloc > std::operator+ (_CharT __lhs, const basic_string< _CharT, _Traits, _Alloc > &__rhs)
- template<typename _CharT, typename _Traits, typename _Alloc> basic_string< _CharT, _Traits,
  _Alloc > std::operator+ (const _CharT *__lhs, const basic_string< _CharT, _Traits, _Alloc > &__rhs)